#
# Cookbook Name:: riemann
# Recipe:: server
#
#

execute "apt-get update"

%w{build-essential wget libyaml-dev zlib1g-dev libreadline-dev libssl-dev tk-dev libgdbm-dev gem}.each do |pkg|
  package pkg do
    action [:install]
  end
end

package node[:riemann][:jdk_package] do
  action [:install]
end

script "install_riemann" do
  interpreter "bash"
  user "root"
  code <<-EOH
  STATUS=0
  wget #{node['riemann']['riemann_deb_pkg_url']} || STATUS=1
  dpkg -i #{node['riemann']['riemann_deb_pkg']} || STATUS=1
  rm -r #{node['riemann']['riemann_deb_pkg']} || STATUS=1
  exit $STATUS
  EOH
end

include_recipe "riemann::client"
